module register_8b_v2
	(
		input wire clock,
		input wire reset_n, // activ in "0"
		// uzual semnalel cu n in fata sau la sfarsit sunt in logica negativa: nreset, resetn
		input wire we,
		input wire [7:0] data_in,
		output wire [7:0] data_out
    );

reg [7:0] memorie_efectiva;   

assign data_out = memorie_efectiva;
    
always@(posedge clock)
begin  
	if( reset_n == 0) 
		begin
		memorie_efectiva <= 0;
		end
	else
		begin
		if(we == 1)
			begin
			memorie_efectiva <= data_in;
			end
		end
end
    
endmodule












